/*! Build time: 2025/1/25 20:21:11
Package: @bilibili-activity/xt-h5
Version: 0.0.1
Env: production
 */
@keyframes opacity-animation{0%{opacity:0}99%{opacity:0}100%{opacity:1}}@keyframes item-animation{0%{transform:translateY(20%);opacity:0}50%{transform:translateY(20%);opacity:0}70%{transform:translateY(-6%);opacity:1}85%{transform:translateY(4%)}90%{transform:translateY(-2%)}100%{transform:translateY(0)}}.bili-share-aimation{transition:all .3s}.bili-share-wrap{width:100%;height:100%;position:fixed;z-index:10055;background-color:rgba(0,0,0,0);left:0;top:0;display:none;opacity:1;font-family:-apple-system,"PingFang SC","Microsoft YaHei","Droid Sans Fallback","Droid Sans","HYQiHei",Arial,"Helvetica Neue","Hiragino Sans GB",sans-serif}.bili-share-wrap *{padding:0;margin:0}.bili-share-wrap .hidden{display:none}.bili-share-wrap.hidden{display:none}.bili-share-wrap.wechat{background:rgba(0,0,0,.5) url("https://static.hdslb.com/mobile/img/wx_guide.png") top center no-repeat;background-size:contain}.bili-share-wrap .share-box{position:absolute;bottom:0;background:#fff;box-sizing:border-box;width:100%;padding:.4em 0;transform:translateY(100%)}.bili-share-wrap .share-box .share-box-content{font-size:.32em;line-height:2em;text-align:center}.bili-share-wrap .share-box .share-box-content i{background:url("https://i0.hdslb.com/bfs/activity-plat/static/20171215/dfa73b898f143877cbf8ecf001cd9e89/images/597l50mv64.png") no-repeat center;width:2.4em;height:2em;display:inline-block;vertical-align:top;background-size:100%}.bili-share-wrap .share-box .share-box-content p{font-size:.9em;color:#999;text-align:center}.bili-share-wrap .share-box .share-box-cancel{border:0.01333rem solid #ddd;border-radius:.3em;width:94%;display:block;line-height:2.75em;color:#999;font-size:.32em;text-align:center;margin:.16em auto 0}.bili-share-wrap.show-box{background-color:rgba(0,0,0,.5)}.bili-share-wrap.show-box .share-box{transform:translateX(0)}.bili-share-wrap.show-box .share-box .share-box-list{animation-name:item-animation;animation-duration:.5s}.bili-share-wrap.show-box .share-box .share-box-list li{animation-name:item-animation;animation-duration:.5s;animation-timing-function:ease-in}.bili-share-wrap .share-box-list{text-align:left;letter-spacing:-0.34em}.bili-share-wrap .share-box-list li{display:inline-block;text-align:center;letter-spacing:normal}.bili-share-wrap .share-box-list li:nth-child(1){animation-delay:.05s}.bili-share-wrap .share-box-list li:nth-child(2){animation-delay:.1s}.bili-share-wrap .share-box-list li:nth-child(3){animation-delay:.15s}.bili-share-wrap .share-box-list li:nth-child(4){animation-delay:.2s}.bili-share-wrap .share-box-list li:nth-child(5){animation-delay:.25s}.bili-share-wrap .share-box-list li:nth-child(6){animation-delay:.3s}@media only screen and (max-width: 500px){.bili-share-wrap .share-box-list li{width:25%}}@media only screen and (min-width: 500px){.bili-share-wrap .share-box-list li{width:20%}}.bili-share-wrap .share-box-list .share-box-item{display:inline-block;text-align:center;text-decoration:none;outline:none;float:none;margin-bottom:.3em;width:100%}.bili-share-wrap .share-box-list .share-box-item span{color:#333;font-size:.29em;line-height:2em;display:block}.bili-share-wrap .share-box-list .icon{display:block;width:100%;height:1em;margin:0 auto;background:center/contain no-repeat}.bili-share-wrap .share-box-list .icon.icon_weibo{background-image:url("https://i0.hdslb.com/bfs/activity-plat/static/20171215/dfa73b898f143877cbf8ecf001cd9e89/images/597l50mv74.png")}.bili-share-wrap .share-box-list .icon.icon_weixin{background-image:url("https://i0.hdslb.com/bfs/activity-plat/static/20171215/dfa73b898f143877cbf8ecf001cd9e89/images/z4pomkzq83.png")}.bili-share-wrap .share-box-list .icon.icon_weixin_moment{background-image:url("https://i0.hdslb.com/bfs/activity-plat/static/20171215/dfa73b898f143877cbf8ecf001cd9e89/images/p6z0152pl0.png")}.bili-share-wrap .share-box-list .icon.icon_qq{background-image:url("https://i0.hdslb.com/bfs/activity-plat/static/20171215/dfa73b898f143877cbf8ecf001cd9e89/images/890oj1pxm9.png")}.bili-share-wrap .share-box-list .icon.icon_qzone{background-image:url("https://i0.hdslb.com/bfs/activity-plat/static/20171215/dfa73b898f143877cbf8ecf001cd9e89/images/q015284qj6.png")}.bili-share-wrap .share-box-list .icon.icon_baidu_tieba{background-image:url("https://i0.hdslb.com/bfs/activity-plat/static/20180102/dfa73b898f143877cbf8ecf001cd9e89/images/q0y9zl5689.png")}.bili-share-wrap .share-box-list .icon.icon_bili{background-image:url("https://i0.hdslb.com/bfs/activity-plat/static/20180110/dfa73b898f143877cbf8ecf001cd9e89/images/29m4yw3zxn.png")}.bili-share-wrap .share-box-list .icon.icon_more{background-image:url("https://i0.hdslb.com/bfs/activity-plat/static/20171215/dfa73b898f143877cbf8ecf001cd9e89/images/x6nmk2zoqo.png")}.share-dynamic-dialog{transition:all .2s linear;background-color:#fff;position:fixed;z-index:10055}.share-dynamic-dialog *{padding:0;margin:0}.share-dynamic-dialog.mobile{width:100%;height:100%;margin:0;left:0;top:100%}.share-dynamic-dialog.mobile.active{top:0}.share-dynamic-dialog.mobile .sdd-head{text-align:center;padding:0;height:2.7em;line-height:2.7em;font-size:.3em;color:#212121;border-bottom:0.01333rem solid #e5e9ef}.share-dynamic-dialog.mobile .sdd-body-wrap{padding:.24em .24em 0}.share-dynamic-dialog .sdd-head .sdd-close{background:url("https://i0.hdslb.com/bfs/activity-plat/static/20180110/dfa73b898f143877cbf8ecf001cd9e89/images/90w46pyw2p.png");position:absolute;right:.8em;top:.8em;width:1em;height:1em;background-size:1em;cursor:pointer}.share-dynamic-dialog .sdd-input{width:100%;margin-bottom:.24em;color:#222;font-size:.28em;line-height:1.4;height:8em;box-sizing:border-box;border:none;resize:none;font-family:-apple-system,"PingFang SC","Microsoft YaHei","Droid Sans Fallback","Droid Sans","HYQiHei",Arial,"Helvetica Neue","Hiragino Sans GB",sans-serif}.share-dynamic-dialog .sdd-input:focus{outline:none}.share-dynamic-dialog .sdd-card{background-color:#f4f4f4;padding:0 .16em .16em .16em;border-radius:.16em}.share-dynamic-dialog .sdd-card .name{height:2.7em;width:100%;line-height:2.7em;color:#2a68a2;font-size:.28em;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.share-dynamic-dialog .sdd-card .sdd-card-content{background-color:#fff;border-radius:.12em;overflow:hidden;padding-bottom:.2em;color:#212121}.share-dynamic-dialog .sdd-card .sdd-card-content .pic{background-position:center;background-size:contain;background-repeat:no-repeat;width:100%;height:3em}.share-dynamic-dialog .sdd-card .sdd-card-content .title{font-size:.28em;line-height:1.35em;font-weight:bold;padding:.7em;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.share-dynamic-dialog .sdd-card .sdd-card-content .summary{font-size:.24em;line-height:1.33em;height:2.67em;overflow:hidden;padding:0 .83em;word-wrap:break-word;word-break:break-all}.share-dynamic-dialog .sdd-card-pic-wrapper{margin-top:1em}.share-dynamic-dialog .sdd-card-pic-wrapper .pic{background:center/contain no-repeat;width:100%;height:3em}.share-dynamic-dialog .sdd-action-bar{height:1em;border-top:0.01333rem solid #e7e7e7;width:100%;position:absolute;bottom:0}.share-dynamic-dialog .sdd-action-bar .sdd-submit{width:4.29em;height:2.14em;line-height:2.14em;text-align:center;border-radius:.29em;font-size:.28em;float:right;margin:.71em;background-color:#fb7299;color:#fff;cursor:pointer}.share-dynamic-dialog .sdd-action-bar .sdd-submit.disable{background-color:#e7e7e7;color:#999}.share-dynamic-dialog .sdd-action-bar .sdd-input-num{float:right;margin-right:.14em;color:silver;font-size:.28em;height:3.6em;line-height:3.6em}.share-dynamic-dialog .sdd-action-bar .sdd-input-num.warning{color:#fb7299}.share-success-mask{position:fixed;top:0;height:100%;width:100%;background-color:#000;opacity:0;transition:.3s;-webkit-transition:.3s;z-index:5}.share-success-mask.on{opacity:.5}.share-success-dialog{transition:all .2s linear;width:6.8em;height:4.9em;top:150%;left:50%;margin-left:-3.4em;margin-top:-2.4em;position:fixed;background-color:#fff;border-radius:.24em;text-align:center;z-index:10}.share-success-dialog.mobile.active{top:50%}.share-success-dialog .suc-img{width:4.82em;height:2.8em;background-image:url(https://s1.hdslb.com/bfs/static/jinkela/article/suc.png);background-size:100% 100%;margin:-0.8em auto .34em auto}.share-success-dialog .info{font-size:.38em;line-height:1.19em;color:#212121;margin-bottom:.25em}.share-success-dialog .hint{font-size:.26em;line-height:1.54em;margin-bottom:1em;color:#757575}.share-success-dialog .dialog-close{width:100%;height:2.75em;margin:0 auto;background-color:#fb7299;color:#fff;font-size:.38em;line-height:2.75em;cursor:pointer;border-bottom-left-radius:.24em;border-bottom-right-radius:.24em}.center-toast{width:100%;height:0.01333rem;position:fixed;top:50%;text-align:center;transition:all .3s ease;z-index:10060}.center-toast .info{display:inline-block;color:#fff;padding:.75em;background-color:rgba(34,34,34,.9);border-radius:.5em;font-size:.29em;line-height:1.25em;margin-top:-1.25em}
@font-face {
  font-family: 'YuanSC';
  src: url('https://s1.hdslb.com/bfs/game-static/web/caster/static/script/vue/huadao/font/yuansc.woff2') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap; /* 使用 swap 策略来防止字体闪烁 */
}


/* 添加字体加载时的占位样式，防止布局抖动 */
.font-loading {
  font-size: calc(1em - 0.01333rem);
  letter-spacing: 0.025em;
}

        .images_share-btn-share {
          position: relative;
          width: 2.73333rem;
          height: 0.94667rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/279a6e250744c2efeb888bde9d8c2d0139e8255a.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-finished {
          position: relative;
          width: 1.96rem;
          height: 0.68rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/3bb627d9ab5e1dc975e2f931d38c4ff2866dec9c.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_share-btn-save {
          position: relative;
          width: 2.73333rem;
          height: 0.94667rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/a1f812d764b9de4059340202b59d1f70f29781b1.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-compose {
          position: relative;
          width: 2.93333rem;
          height: 2.92rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/1de714dc9aef07b1bdcc7a822c58646fb038a6f0.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-2-bg {
          position: relative;
          width: 3.28rem;
          height: 4.82667rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/8899b535bf1f3a5a1485f383427751ebb0eb5e52.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_share-btn-close {
          position: relative;
          width: 0.65333rem;
          height: 0.66667rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/e2b76bc87d68db8b3c1483ad865431b947091d33.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-2-icon {
          position: relative;
          width: 3.28rem;
          height: 4.82667rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/4ba08888212b8061aa93fe4a2978265e40c3901e.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-3-icon {
          position: relative;
          width: 3.28rem;
          height: 4.81333rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/c91707610a123f498b94ae88cf7ed54ff4c4048e.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_share-bg-qr {
          position: relative;
          width: 7.33333rem;
          height: 13.01333rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/2063f86c69056725839b9f945dce824e6a86b236.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-i-share {
          position: relative;
          width: 2.73333rem;
          height: 0.94667rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/b0c1ee9d49f7d02bde250b6a6fb310e03a760786.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-unfinish {
          position: relative;
          width: 1.96rem;
          height: 0.68rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/1cadc6fb3fe8f065fe4022756c57f9d1831c110f.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-get {
          position: relative;
          width: 1.96rem;
          height: 0.68rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/5031c765de3c8f4bac5b9978eb6bc5a1dad3773b.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_share-bg {
          position: relative;
          width: 7.33333rem;
          height: 13.01333rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/8059b96725c78355270592f01974d0b5fb4250c7.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_icon-mark {
          position: relative;
          width: 0.12rem;
          height: 0.41333rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/44c29d8d55a25781bd1a5750ac73a609ef09b74e.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-1-bg {
          position: relative;
          width: 3.28rem;
          height: 4.82667rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/2710d6c51de502fa668529ff8542ebdba0f8c725.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-compose-lock {
          position: relative;
          width: 2.93333rem;
          height: 2.92rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/c7b5944848047779868814d619798a88aa61fe0f.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-3-bg {
          position: relative;
          width: 3.28rem;
          height: 4.81333rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/e80f4fb2ca6d581a825d35577331aa826a0f8da3.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-lock-3 {
          position: relative;
          width: 1.96rem;
          height: 0.68rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/6f66c4dbf2fd7b34221884f0662917b6615f61a6.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-lock-2 {
          position: relative;
          width: 1.96rem;
          height: 0.68rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/5577483580baa36704325f217775d840430487b9.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-1-icon {
          position: relative;
          width: 3.28rem;
          height: 4.82667rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/2dc8452c641173c7d89e1d0b4a2a98b8ec9495e7.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-lock-1 {
          position: relative;
          width: 1.96rem;
          height: 0.68rem;
          background-image: url(https://i0.hdslb.com/bfs/game-static/fdb442211edaa090ef7b816468a25ee37d491fa2.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        @keyframes breathWiggle {
0% {
    transform: scale(1);
}
50% {
    transform: scale(1.5);
}
100% {
    transform: scale(1);
}
}
.clue-root {
  font-family: "YuanSC", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  box-sizing: border-box;
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 0 1.06667rem;
}
.clue-root * {
  box-sizing: border-box;
}
.clue-root .task-item {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-bottom: 0.13333rem;
}
.clue-root .get-clue-area {
  z-index: 1;
  position: absolute;
  top: 0;
  width: 2.44rem !important;
  height: 2.73333rem !important;
}
.clue-root .images_clue-icon {
  width: 2.44rem !important;
  height: 3.6rem !important;
}
.clue-root .images_clue-icon .icon-mark {
  position: absolute;
  top: 0.13333rem;
  right: 0.25333rem;
  width: 0.08952rem !important;
  height: 0.30835rem !important;
  animation: breathWiggle 1s infinite;
}
.clue-root .images_clue-icon .clue-text {
  position: absolute;
  z-index: 0;
  top: 2.06667rem;
  width: 60%;
  height: 0.73333rem;
  display: flex;
  align-items: center;
  justify-content: center;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
  font-size: 0.24rem;
  line-height: 0.29333rem;
  font-weight: bold;
  white-space: wrap;
  color: #2b1815;
  text-shadow: 0 0.02984rem #fff8e6, 0.02984rem 0 #fff8e6, -0.02984rem 0 #fff8e6, 0 -0.02984rem #fff8e6;
}
.clue-root .btn-compose {
  left: -0.13333rem;
  top: 0;
  width: 2.18667rem !important;
}
.clue-root .btn-action {
  position: absolute;
  right: 0.13333rem;
  bottom: 0.24rem;
  width: 1.46213rem !important;
  height: 0.50667rem !important;
}
.clue-mask {
  position: fixed;
  padding-top: 0.8rem;
  width: 100vw;
  height: 100vh;
  z-index: 300;
  background: rgba(0, 0, 0, 0.5);
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  overflow: scroll;
}
.clue-mask .clue-text-qr {
  bottom: 3.17333rem !important;
}
.clue-mask .clue-text {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  bottom: 2.02667rem;
  width: 80%;
  height: 1.33333rem;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
  font-size: 0.32rem;
  font-weight: bold;
  white-space: wrap;
  color: #a9664d;
}
.clue-mask .result-box {
  width: 5.47067rem !important;
  height: 9.708rem !important;
}
.clue-mask .result-box .btn-close {
  position: absolute;
  top: -0.48rem;
  right: -0.21333rem;
  width: 0.42667rem !important;
  height: 0.42667rem !important;
}
.clue-mask .result-box .btn-share {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0.4rem;
  width: 2.03907rem !important;
  height: 0.70621rem !important;
}
.clue-mask .share-box {
  position: relative;
  width: 5.47067rem !important;
  height: 9.708rem !important;
}
.clue-mask .share-box .btn-close {
  position: absolute;
  top: -0.48rem;
  right: -0.21333rem;
  width: 0.42667rem !important;
  height: 0.42667rem !important;
}
.clue-mask .share-box .btn-save {
  position: absolute;
  left: 0.4rem;
  bottom: 0.4rem;
  width: 2.03907rem !important;
  height: 0.70621rem !important;
}
.clue-mask .share-box .btn-media {
  position: absolute;
  right: 0.4rem;
  bottom: 0.4rem;
  width: 2.03907rem !important;
  height: 0.70621rem !important;
}
.clue-mask .share-box #snapSrc {
  width: 5.47067rem !important;
  height: 9.708rem !important;
}
.clue-mask .share-box #snapSrc .share-bg-qr {
  position: absolute;
  top: 0;
  left: 0;
  width: 5.47067rem !important;
  height: 9.708rem !important;
}